package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 碳排放预测对象 adm_ems_ca_emission_forecast
 * 
 * @author ruoyi
 * @date 2024-08-12
 */
public class CaEmissionForecast extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** （千克） */
    @Excel(name = "", readConverterExp = "千=克")
    private Double caEmission;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setCaEmission(Double caEmission) 
    {
        this.caEmission = caEmission;
    }

    public Double getCaEmission() 
    {
        return caEmission;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("date", getDate())
            .append("caEmission", getCaEmission())
            .toString();
    }
}
